%global momorel 6

%{?!with_octave:         %global with_octave         1}

Summary: C library for reading and writing files containing sampled sound
Name: libsndfile
Version: 1.0.17
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.mega-nerd.com/libsndfile/
Group: Development/Libraries
Source0: http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}+flac-1.1.3.patch
Patch1: libsndfile-1.0.17-flac-buffer-overflow.patch
Patch2: libsndfile-1.0.19-CVE-2009-0186.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: alsa-lib-devel
BuildRequires: flac-devel >= 1.1.4
BuildRequires: automake19, autoconf
BuildRequires: pkgconfig

%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%package devel
Summary: libsndfile header files and development documentation
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files and development documentation for libsndfile.

%if %{with_octave}
%package octave
Summary: libsndfile modules for octave
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Requires: octave

%description octave
A couple of script files for loading, saving, and playing sound
files from within Octave.
%endif

%prep
%setup -q
%patch0 -p1 -b .flac-114
%patch1 -p1 -b .flac-buffer-overflow
%patch2 -p1 -b .CVE-2009-0186~

aclocal-1.9
autoconf
automake-1.9

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} transform='s,x,x,'

%if ! %{with_octave}
rm -rf %{buildroot}%{_datadir}/octave/site/m/*
%endif

# remove unnecessary files
rm -rf %{buildroot}%{_datadir}/doc/libsndfile1-dev

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/sndfile-info
%{_bindir}/sndfile-play
%{_bindir}/sndfile-convert
%{_bindir}/sndfile-regtest
%{_libdir}/libsndfile.so.*
%{_mandir}/man1/sndfile-info.1*
%{_mandir}/man1/sndfile-play.1*
%{_mandir}/man1/sndfile-convert.1*

%files devel
%defattr(-,root,root,-)
%doc doc/*.html doc/*.jpg
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc
%{_libdir}/libsndfile.a
%{_libdir}/libsndfile.so

%if %{with_octave}
%files octave
%defattr(644,root,root,755)
%{_datadir}/octave/site/m/*
%endif

%changelog
* Sun Mar 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.17-6m)
- [SECURITY] CVE-2009-0186
- import a security patch from Mandriva 2009.0 (1.0.18-2.pre22.1.1mdv2009.0)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.17-5m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.17-4m)
- %%NoSource -> NoSource

* Thu Sep 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.17-3m)
- [SECURITY] CVE-2007-4974
- import security patch from Gentoo

* Sun Aug 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.17-2m)
- fix %%changelog section

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.17-1m)
- version 1.0.17
- import libsndfile-1.0.17+flac-1.1.3.patch from cooker
 +* Mon Dec 11 2006 Gz Waschk <waschk@mandriva.org> 1.0.17-3mdv2007.1
 +- patch for new libflac

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.15-2m)
- delete libtool library

* Wed Apr 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.15-1m)
- update to 1.0.15

* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.11-2m)
- enable x86_64.

* Mon Oct 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.11-1m)
- update to 1.0.11

* Mon Oct 04 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.10-1m)
- update to 1.0.10
- make install transform='s,x,x,'
- with octave

* Fri Jun 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.9-3m)
- main package should include not 'lib*.so.*.*' but 'lib*.so.*'

* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.9-2m)
- without octave.

* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.9-1m)
- verup

* Sun Dec 14 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.5-1m)
- first import to Momonga

* Fri Jun 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.5-0.0.1m)
- verision 1.0.5

* Tue Feb 4 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.4-0.0.1m)
- adopted src.rpm of PLD Linux at rpmfind.net to version 1.0.4

- %{date} PLD Team <feedback@pld.org.pl>
- All persons listed below can be reached at <cvs_login>@pld.org.pl

Revision 1.26  2002/10/06 08:54:16  kloczek
- release 2: libsndfile1{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.25  2002/09/14 20:18:25  qboosh
- amfix patch (fix for automake 1.6)
- added missing pkgconfig file
- moved devel docs to -devel

Revision 1.24  2002/09/14 09:35:17  zagrodzki
- upgraded to 1.0.1
- STBR

Revision 1.23  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/11 17:58:45  kloczek
- updated to 0.0.28.

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/21 11:34:13  kloczek
- updated to 0.0.27.

Revision 1.16  2001/10/06 21:03:28  kloczek
- updated to 0.0.26.

Revision 1.15  2001/09/24 09:11:35  kloczek
- updated to 0.0.25.

Revision 1.14  2001/08/27 18:39:38  kloczek
- updated to 0.0.24.

Revision 1.13  2001/07/19 21:56:09  kloczek
- updated to 0.0.23.

Revision 1.12  2001/06/27 07:56:25  kloczek
- regenerate libtool files.

Revision 1.11  2001/06/24 22:42:47  kloczek
p release 3: "rm -f missing" before run automake.

Revision 1.10  2001/01/22 09:38:24  kloczek
- release 2,
- regenerate automake, autoconf files (added automake to BuildRequires),
- removed "install -d .." line from top %%install.

Revision 1.9  2000/10/19 01:45:03  kloczek
- autoconf patch is back.

Revision 1.8  2000/10/18 21:50:14  kloczek
- updated to 0.0.22,
- emoved outdated autoconf patch,
- use new rpm automation.

Revision 1.7  2000/08/21 00:30:51  kloczek
- updated to 0.0.21.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/05 16:23:26  kloczek
- updated to 0.0.20.

Revision 1.3  2000/05/30 01:33:28  kloczek
- updated to 0.0.19,
- spec adapterized.

Revision 1.2  2000/05/14 21:36:36  kloczek
- added autoconf patch with corrections which allow correctly pass
  $RPM_OPT_FLAGS to compile options,
- cosmetics.

Revision 1.1  2000/05/12 11:33:28  misiek
- biblioteka obsugi plikw dwikowych
- niezy klient ftp (z ipv6) zastpujcy pakiet ftp-*
